masked_stretch_blit(3)

NAME
masked_stretch_blit

SYNOPSIS
#include <allegro.h>

void masked_stretch_blit(BITMAP *source, BITMAP *dest, int source_x, source_y, source_w, source_h, int dest_x, dest_y, dest_w, dest_h);

DESCRIPTION
Like stretch_blit(), but skips transparent pixels, which are marked by a zero in 256 color modes or bright pink for truecolor data (maximum red and blue, zero green). The source and destination regions must not overlap.

SEE ALSO
blit(3), masked_blit(3), stretch_blit(3), stretch_sprite(3)